Package net.shibboleth.idp.saml.saml1.profile.impl

# Class IdPInitiatedSSORequestMessageDecoder

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.messaging.decoder.AbstractMessageDecoder
org.opensaml.messaging.decoder.servlet.AbstractHttpServletRequestMessageDecoder
net.shibboleth.idp.saml.profile.impl.BaseIdPInitiatedSSORequestMessageDecoder
net.shibboleth.idp.saml.saml1.profile.impl.IdPInitiatedSSORequestMessageDecoder

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `UnmodifiableComponent`, `MessageDecoder`, `HttpServletRequestMessageDecoder`

public class IdPInitiatedSSORequestMessageDecoder extends BaseIdPInitiatedSSORequestMessageDecoder
Decodes an incoming Shibboleth Authentication Request message.

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final String`
`BINDING_URI`
Protocol binding implemented by this decoder.
`private final org.slf4j.Logger`
`log`
Class logger.

### Fields inherited from class net.shibboleth.idp.saml.profile.impl.BaseIdPInitiatedSSORequestMessageDecoder

`PROVIDER_ID_PARAM, SHIRE_PARAM, TARGET_PARAM, TIME_PARAM`

### Fields inherited from class org.opensaml.messaging.decoder.AbstractMessageDecoder

`BASE_PROTOCOL_MESSAGE_LOGGER_CATEGORY`

## Constructor Summary

Constructors
Constructor
Description
`IdPInitiatedSSORequestMessageDecoder()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doDecode()`
`String`
`getBindingURI()`
Get the SAML binding URI supported by this decoder.
`protected void`
`populateBindingContext(MessageContext messageContext)`
Populate the context which carries information specific to this binding.
`protected String`
`serializeMessageForLogging(Object message)`

### Methods inherited from class net.shibboleth.idp.saml.profile.impl.BaseIdPInitiatedSSORequestMessageDecoder

`buildIdPInitiatedSSORequest, decode, getAcsUrl, getBindingDescriptor, getEntityId, getMessageID, getTarget, getTime, setBindingDescriptor`

### Methods inherited from class org.opensaml.messaging.decoder.servlet.AbstractHttpServletRequestMessageDecoder

`doInitialize, getHttpServletRequest, getHttpServletRequestSupplier, isCheckDuringInit, setCheckDuringInit, setHttpServletRequestSupplier`

### Methods inherited from class org.opensaml.messaging.decoder.AbstractMessageDecoder

`getMessageContext, getMessageToLog, getProtocolMessageLogger, getProtocolMessageLoggerSubCategory, logDecodedMessage, setMessageContext, setProtocolMessageLoggerSubCategory`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.DestructableComponent

`destroy, isDestroyed`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

### Methods inherited from interface org.opensaml.messaging.decoder.MessageDecoder

`getMessageContext`

## Field Details

### BINDING_URI

@Nonnull @NotEmpty private static final String BINDING_URI
Protocol binding implemented by this decoder.

See Also:
  - Constant Field Values

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### IdPInitiatedSSORequestMessageDecoder

public IdPInitiatedSSORequestMessageDecoder()

## Method Details

### getBindingURI

@Nonnull @NotEmpty public String getBindingURI()
Get the SAML binding URI supported by this decoder.

Returns:
  SAML binding URI supported by this decoder

### doDecode

protected void doDecode() throws MessageDecodingException

Specified by:
  `doDecode` in class `AbstractMessageDecoder`
Throws:
  `MessageDecodingException`

### populateBindingContext

protected void populateBindingContext(@Nonnull MessageContext messageContext) throws MessageDecodingException
Populate the context which carries information specific to this binding.

Parameters:
  `messageContext` - the current message context
Throws:
  `MessageDecodingException` - if the message content is invalid

### serializeMessageForLogging

@Nullable protected String serializeMessageForLogging(@Nullable Object message)

Overrides:
  `serializeMessageForLogging` in class `AbstractMessageDecoder`